PMHOSTNAME(1)

NAME
pmhostname - report hostname

SYNOPSIS
pmhostname [-?] [hostname]

DESCRIPTION
pmhostname reports the name of the host hostname as returned by gethostbyname(3).

If hostname is not specified, then the local host name is retrieved using gethostname(2) and this is than passed to gethostbyname(3).

pmhostname provides a service for shell scripts that mimics the logic formerly used by Performance Co-Pilot applications when trying to determine the official name of a host. PCP applications no longer use DNS-based heuristics, and therefore this command is deprecated.

If gethostbyname(3) fails, the input host name (either hostname or the result from calling gethostname(2)) is reported.

OPTIONS
The available command line options are:

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
nslookup(1), gethostname(2), gethostbyname(3), pcp.conf(5), pcp.env(5) and resolver(5).